## golang-github-awnumar-memguard 0.22.5

=== debian/changelog ===
golang-github-awnumar-memguard (0.22.5-2) unstable; urgency=medium

  * d/salsa-ci.yml: Drop local apt repo.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 06 Apr 2025 09:25:55 +0200

golang-github-awnumar-memguard (0.22.5-1) unstable; urgency=medium

  * Initial release (Closes: #1101318)

 -- Simon Josefsson <simon@josefsson.org>  Mon, 31 Mar 2025 14:19:37 +0200
